var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconBailianComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-bailian").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 14 14", fill: useCurrentColor ? 'currentColor' : 'none', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("g", { clipPath: "url(#svg_e0c24d8cc5__clip0_7915_3269)" },
            React.createElement("path", { d: "M0.937714 3.5V10.5L3.969 8.75V5.25L0.937714 3.5Z", fill: useCurrentColor ? 'currentColor' : '#0423DB' }),
            React.createElement("path", { d: "M3.96899 5.25V8.75L6.99999 7L3.96899 5.25Z", fill: useCurrentColor ? 'currentColor' : '#1C54E4' }),
            React.createElement("path", { d: "M6.99999 7.00002L3.96899 5.25002L10.0298 1.74799L13.0623 3.50002L6.99999 7.00002Z", fill: useCurrentColor ? 'currentColor' : '#AB9BFF' }),
            React.createElement("path", { d: "M3.969 5.25L0.937714 3.5L7 0L10.0298 1.74796L3.969 5.25Z", fill: useCurrentColor ? 'currentColor' : '#7347FF' }),
            React.createElement("path", { d: "M13.0623 10.5L6.99999 14L3.96899 12.25L10.031 8.75L13.0623 10.5Z", fill: useCurrentColor ? 'currentColor' : '#00CFCA' }),
            React.createElement("path", { d: "M10.031 8.75L13.0623 7V10.5L10.031 8.75ZM3.969 12.25L0.937714 10.5L7 7L10.031 8.75L3.969 12.25Z", fill: useCurrentColor ? 'currentColor' : '#00EBD2' })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "svg_e0c24d8cc5__clip0_7915_3269" },
                React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M0 0H14V14H0z" }))));
}
var IconBailian = React.forwardRef(IconBailianComponent);
export default IconBailian;
